Bug 40247 - 20univention-directory-policy.inst joinscript doesn't fail on errors
20univention-directory-policy.inst joinscript doesn't fail on errors
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 16:10 CET by Florian Best
Modified: 2017-08-02 14:34 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Error handling, Troubleshooting
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (597 bytes, patch)
2016-07-25 14:27 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-12-14 16:10:27 CET
No error handling in 20univention-directory-policy.inst e.g. if wrong machine.secret / LDAP server down / etc.

Configure 20univention-directory-policy.inst Mon Dec 14 13:56:49 CET 2015
2015-12-14 13:56:49.354967924+01:00 (in joinscript_init)
could not open policy for cn=slave52,cn=dc,cn=server,cn=computers,ou=oldschool,dc=ucs40,dc=school

could not open policy for cn=slave52,cn=dc,cn=server,cn=computers,ou=oldschool,dc=ucs40,dc=school

failed to execute univention_policy_result
run-parts: /usr/lib/univention-directory-policy/univention-policy-maintenance exited with return code 1
could not open policy for cn=slave52,cn=dc,cn=server,cn=computers,ou=oldschool,dc=ucs40,dc=school

failed to execute univention_policy_result

run-parts: /usr/lib/univention-directory-policy/univention-policy-repository-sync exited with return code 1
could not open policy for cn=slave52,cn=dc,cn=server,cn=computers,ou=oldschool,dc=ucs40,dc=school

univention-policy-set-repository-server: FAIL: failed to execute `univention_policy_result'

run-parts: /usr/lib/univention-directory-policy/univention-policy-set-repository-server exited with return code 1
could not open policy for cn=slave52,cn=dc,cn=server,cn=computers,ou=oldschool,dc=ucs40,dc=school

run-parts: /usr/lib/univention-directory-policy/univention-policy-update-config-registry exited with return code 1
2015-12-14 13:56:49.777204702+01:00 (in joinscript_save_current_version)
Comment 1 Florian Best univentionstaff 2016-07-25 14:27:21 CEST
Created attachment 7828 [details]
patch
Comment 2 Florian Best univentionstaff 2017-07-28 16:04:16 CEST
univention-directory-policy (8.0.0-3):
r81536 | Bug #40247: let joinscript fail if errors happen
r81535 | Bug #40247: handle errors in the joinscript

univention-directory-policy.yaml:
r81536 | Bug #40247: let joinscript fail if errors happen
Comment 3 Johannes Keiser univentionstaff 2017-08-01 17:42:16 CEST
OK 20univention-directory-policy.inst fails instead of saying it was successful on error

YAML: OK
-> verified
Comment 4 Arvid Requate univentionstaff 2017-08-02 14:34:11 CEST
<http://errata.software-univention.de/ucs/4.2/122.html>